
<div class="row">
    <div class="col-md-12">
      <nb-card class="inline-form-card">
        <nb-card-body>
          <table class="table table-hover">
            <thead>
              <tr>
                <th>Created By</th>
                <th>Action Type</th>
                <th>Logs</th>   
                <th>Date</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let item of histories | paginate: { itemsPerPage: 5, currentPage: p }">
                <td>{{item.created_by.username}}</td>
                <td>{{item.action_type}}</td>
                <td>{{item.message}}</td>
                <td>{{item.created_at | date:'fullDate'}} {{item.created_at | date:'h:mm:ss a'}}</td>
              </tr>
            </tbody>
          </table>
          <hr>
        </nb-card-body>
        <!-- pager -->
        <!-- <div class="text-right mr-4 pr-6 pt-3 pb-3">
        <ul *ngIf="pager.pages && pager.pages.length" class="pagination">
          <li [ngClass]="{disabled:pager.currentPage === 1}">
            <a (click)="setPage(1)">First</a>
          </li>
          <li [ngClass]="{disabled:pager.currentPage === 1}">
            <a (click)="setPage(pager.currentPage - 1)">Previous</a>
          </li>
          <li *ngFor="let page of pager.pages" [ngClass]="{active:pager.currentPage === page}">
            <a (click)="setPage(page)">{{page}}</a>
          </li>
          <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
            <a (click)="setPage(pager.currentPage + 1)">Next</a>
          </li>
          <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
            <a (click)="setPage(pager.totalPages)">Last</a>
          </li>
        </ul>
        </div> -->     
        <div class="text-right mr-4 pr-6 pt-3 pb-3">        
        <pagination-controls class="pagination" (pageChange)="p = $event"></pagination-controls>
        </div>
      </nb-card>
    </div>
  </div>
  

